Pregunta ¿Cómo habilitar más extensiones de php en el servidor de Gentoo?


Tengo trabajando apache / php / mysql en mi servidor Gentoo. Pero tengo que habilitar algunas extensiones en php (json, exif).

Yo si:

USE="dev-lang/php json exif" emerge dev-lang/php

Por favor, dime ¿qué sigue?

¡Gracias!


2


origen




Respuestas:


No incluya el nombre de la categoría / paquete en USE, es solo

USE="json exif" emerge dev-lang/php

Pero sugeriría que esa opción sea persistente, p. añadiendo

dev-lang/php apache2 json exif

a /etc/portage/package.use y luego

emerge dev-lang/php

todos los módulos están integrados en el ejecutable php, gentoo no usa módulos de extensión (.so), así que esto debería ser todo lo que tiene que hacer. Asegúrese de que emerge emerge sin errores.


7



Gracias, agregué estas líneas a /etc/portage/package.use y luego, emerge dev-lang / php ¿Tengo que reconstruir PHP? Reinicé Apache pero todavía no veo a json habilitado ...
Tú son reconstruyendo php con emerge dev-lang/php. Utilizar emerge -pv dev-lang/php para verificar las banderas de uso. - VolkerK
La única y correcta respuesta, más comentarios útiles. - Benjamin Bannier